Subject: Re: bug#25086: [PATCH] Fix the timezone detection of parse-iso8601-time-string.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Dec 2016 14:41:09 +0200

> From: Hong Xu <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 17 Dec 2016 19:11:58 -0800
> 
> On 2016-12-17 Sat 12:42 GMT-0800, Hong Xu <[email-masked]> wrote:
> >
> > I've added the tests now. And indeed, it exposes a bug in the original patch.
> >
> > Again, I decomposed the patch to two different parts, one for the stable
> > branch and the other (with only test files) for the master branch.
> 
> Attached is a newer version which has fixed a few edge cases.

Thanks, pushed to master.

I didn't make parse-iso8601-time-string autoloaded.  I don't think
it's needed; if you think it is, please tell why.

Also, a minor not about log messages:

>         * parse-time.el (parse-iso8601-time-string): Fix its timezone
>         parsing and make it autoload.
>         * parse-time.el: Add doc for parse-iso8601-time-string.

These are changes in the same function and the same source file.  So
they should be written together, like this:

	* parse-time.el (parse-iso8601-time-string): Fix timezone
	parsing.  Add a doc string.

Thank you for your contribution and for your patience.